#include <stdio.h>
#include <stdlib.h>
int verh[9],levo[9],front[9],pravo[9],tyil[9],niz[9]; // Массивы, содержащие стороны кубика. Один массив - одна сторона

void setSide(int color, int* side){ //Функция, устанавливающая цвет стороны
	for (int i=0;i<9;i+=3){
		for(int j=i;j<i+3;j++)
			{	
			side[j]=color;
			}
	}
};

void draw(){// Функция, рисующая кубик в текстовом режиме
	
	printf("\n\t\t\t\tВерх:\n\t\t\t\t");

	for (int i=0;i<9;i+=3){//Цикл, рисующий верхнюю сторону кубика
		
		for(int j=i;j<i+3;j++)
			{	
			printf("%d ", verh[j]);
			}
		printf("\n\t\t\t\t");
	}
	printf("\n\t\t\tЛево\tФронт\tПраво\tТыл"); //Статическая отрисовка левой фронтальной правой и тыльной сторон
	printf("\n\t\t\t%d %d %d\t%d %d %d\t%d %d %d\t%d %d %d",levo[0],levo[1],levo[2],front[0],front[1],front[2],pravo[0],pravo[1],pravo[2],tyil[0],tyil[1],tyil[2]);
	printf("\n\t\t\t%d %d %d\t%d %d %d\t%d %d %d\t%d %d %d",levo[3],levo[4],levo[5],front[3],front[4],front[5],pravo[3],pravo[4],pravo[5],tyil[3],tyil[4],tyil[5]);
	printf("\n\t\t\t%d %d %d\t%d %d %d\t%d %d %d\t%d %d %d",levo[6],levo[7],levo[8],front[6],front[7],front[8],pravo[6],pravo[7],pravo[8],tyil[6],tyil[7],tyil[8]);
	printf("\n\n\t\t\t\tНиз\n\t\t\t\t");

	for (int i=0;i<9;i+=3){//Цикл, рисующий нижнюю сторону кубика
		
		for(int j=i;j<i+3;j++)
			{	
			printf("%d ", niz[j]);
			}
		printf("\n\t\t\t\t");
	}
};

int main() {//Главная функция программы

	printf("\nПрограмма сборки кубика Рубика\n\n\tСостояние кубика до сборки:\n");
	//Заполнение сторон
	//Устанавливаем кубик в собранное состояние
	setSide(1, verh);//Закрашиваем верх кубика цветом "1";
	setSide(2, levo);//Закрашиваем верх кубика цветом "2";
	setSide(3, front);//Закрашиваем верх кубика цветом "3";
	setSide(4, pravo);//Закрашиваем верх кубика цветом "4";
	setSide(5, tyil);//Закрашиваем верх кубика цветом "5";
	setSide(6, niz);//Закрашиваем верх кубика цветом "6";
	
	draw();//Рисуем кубик

	printf("\nКонец программы\n");
	}
